Lists all the partner's defined payment webhooks.
const url = 'https://sender.api.kivra.com/v2/webhooks/payments';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sender.api.kivra.com/v2/webhooks/paymentsList payment webhook definitions.
Responses
Section titled “Responses”List of defined webhooks.
A definition used to send webhooks from Kivra to a sender.
object
The ID of the current webhook definition.
The target URL that Kivra will try to deliver to. The
hostname in the URL must not be in a restricted domain
(like for example example.org or local). The
hostname also must resolve to at least one IPv4 address,
and must not resolve to any addresses in an IPv4 range
reserved by IANA.
The client key filter for this webhook configuration.
The tenant key filter for this webhook cofiguration.
A list of the types of payments that should trigger webhooks.
A list of the payment events that should trigger webhooks. Not all events are meaningful for all payment types.
The newly created secret after a webhook definition was added or modified. The secret is a 256-bit random number that will be used to sign webhook payloads from Kivra. If a secret already exists when a new one is added (that is, when a webhook definition is modified rather han created), payloads will be signed with both the existing and the new secrets for the next 72 hours. For security reasons, this field will be missing in reponses to API calls that do not result in the creation of a new secret.
The time when this definition was created.
Example
[ { "types": [ "instant" ], "events": [ "scheduled" ] }]